'use strict'

exports.launch = launch

const util = require('../util')
const Logger = util.getLogger(__filename)
const zmqServer = require('../zmqserver')

// launch the subsytems in parallel, call allLaunched() when all are launched
function launch (Context) {
  return new Promise((resolve, reject) => {
    zmqServer.launch(Context, (err, server) => {
      if (err) return reject(err)

      Logger.debug('launched ZeroMQ server')
      Context.zmqServer = server
      resolve()
    })
  })
}
