'use strict'

const util = require('../../util')
const Logger = util.getLogger(__dirname, __filename)

exports.handleRequest = handleRequest

// Handle the HTTP request
function handleRequest (req, res) {
  var pair
  try {
    const zmq = util.requireZmq()
    pair = zmq.curveKeypair()
  } catch (err) {
    res.status(500)
    res.send({ error: { message: err.message } })
    Logger.error(err, 'Could not generate keypair')
    return
  }

  const response = {
    public: pair.public,
    private: pair.secret
  }
  res.send(response)
}
