'use strict'

const Asset = require('../../asset')

module.exports = function (context) {
  const name = 'bulk-transfer'
  function run (envelope, data) {
    envelope.bulkId = envelope.requestId
    let asset = context.assetManager.byId(envelope.bulkId)

    if (!asset) {
      asset = Asset.create(context, envelope)
      context.assetManager.add(asset)
    }

    asset.addData(envelope, data)
  }

  return { name, run }
}
