'use strict'

const Agent = require('../../agent')
const lodash = require('lodash')

module.exports = function (context) {
  const name = 'info'
  function run (messageObj) {
    const copy = lodash.clone(messageObj)
    let agent = context.agentManager.byId(copy.agentId)

    if (!agent) {
      agent = Agent.create(context, copy.agentId)
      agent.addInfo(copy)
      context.agentManager.upsert(agent)
      context.zmqServer.sendConfig(`configuration-${agent.id}`)
    } else {
      agent.addInfo(copy)
    }
  }

  function predicate (messageObj) {
    return messageObj.command === name
  }

  return { name, run, predicate }
}
