'use strict'

const Agent = require('../../agent')
const util = require('../../util')
const Logger = util.getLogger(__dirname, __filename)

module.exports = function (context) {
  const name = 'packages'
  function run (messageObj) {
    let agent = context.agentManager.byId(messageObj.agentId)

    if (!agent) {
      agent = Agent.create(context, messageObj.agentId)
      context.agentManager.upsert(agent)
      context.zmqServer.sendConfig(`configuration-${agent.id}`)
    }

    if (!messageObj.body) {
      Logger.warn('Got malformed packages message.', messageObj, agent)
      return
    }

    if (messageObj.body.packages) {
      agent.addPackages(messageObj.body.packages)
    }
  }

  function predicate (messageObj) {
    return messageObj.command === name
  }

  return { name, run, predicate }
}
