'use strict'

const os = require('os')
const fs = require('fs')

module.exports = function () {
  if (process.env['NSOLID_EMULATED_ARM']) {
    return `linux-arm-${process.versions.modules}`
  }
  var platform
  try {
    if (fs.statSync('/etc/alpine-release')) {
      platform = 'alpine'
    }
  } catch (err) {
    // who cares
  }

  if (!platform) {
    platform = os.platform()
  }

  return `${platform}-${os.arch()}-${process.versions.modules}`
}
