#!/usr/bin/env node
'use strict'

const fs = require('fs')
const path = require('path')
const platform = require('../platform')()

const contents = fs.readdirSync(path.join(__dirname, '..', 'lib'))

const platformPrefix = platform.replace(/-[^-]*$/, '-')
const platformRegexp = new RegExp(`^${platformPrefix}`)

for (let dir of contents) {
  if (!platformRegexp.test(dir)) {
    recursiveDelete(path.join(__dirname, '..', 'lib', dir))
  }
}

function recursiveDelete(delPath) {
  const stats = fs.statSync(delPath)
  if (stats.isDirectory()) {
    const contents = fs.readdirSync(delPath)
    for (let entry of contents) {
      recursiveDelete(path.join(delPath, entry))
    }
    fs.rmdirSync(delPath)
  } else {
    fs.unlinkSync(delPath)
  }
}
